Subject: LC-ATM and LC-FR ifType

From: "Thomas D. Nadeau" <[email-masked]>
Date: Mon, 06 May 2002 13:38:42 -0400

Hi,

	I would like to apply to IANA for an official
LC-ATM and LC-FR ifTypes, and have been asked by
the AD to send a posting to the MPLS WG to let the WG
voice its opinion on this.  I would like to apply for these interface
type given the reference of section 3 from RFC3035 for LC-ATM,
and section 2 from RFC3034.  Please post your opinions either
way. If I do not hear from anyone in a few days, I will forward
my request to IANA.

	I will also be posting a (very short) informational draft
in a few days describing the function of this new ifType
and how it plays with the existing MPLS ifStacking picture so that
we can be very clear on how these ifTypes are used for management
purposes.

	--Tom

------------------------------------------------------------------------
Mathematics is the supreme nostalgia of our time.

---

From: Joan Cucchiara <[email-masked]>
Date: Mon, 06 May 2002 15:59:50 -0400

Hi Tom,

Why are these new ifTypes needed?
How they will be used?  How they will work 
in the ifStack?  Is your intention that the existing 
MPLS ifTypes would no longer be needed, or would change
in meaning?

The answers would be helpful to understanding these 
new types.  Perhaps, this is all described in the doc you
will be posting.  If so, could you post the doc and then 
give us a few days to discuss the new ifTypes you are requesting?

Currently, we have 2 ifTypes for MPLS (mplsTunnel(150) and
and mpls(166)), and we already have the media information because 
the MPLS interface is usually stacked over an ATM interface, or an FR
interface, 
or a PPP interface, etc.

Thanks, 
 -Joan

---

From: "Thomas D. Nadeau" <[email-masked]>
Date: Mon, 06 May 2002 17:26:18 -0400

>MPLS ifTypes would no longer be needed, or would change

         The LC-FR and LC-ATM ifTypes need to be defined
as separate types, as they are not MPLS-type interfaces
for data, just label control/setup.

>give us a few days to discuss the new ifTypes you are requesting?

         I will post the doc shortly.

>interface, or a PPP interface, etc.

         This is for the label switch controlling interfaces, which should
only be stacked above the underlying subinterface (non-MPLS):

         LC-ATM          LC-FR
              atm3/0             fr3/0

         --Tom